/**
*
* @package VorteX vFOSe.ru IpUpdater
* @version $Id: configlib.h,v 0.1 2007/09/29 15:50:32 nE0sIghT Exp $
* @copyright (c) 2007 nE0sIghT
* @license GNU General Public Lecense v2
*
*/


#ifndef _CONFIGLIBH_
#define _CONFIGLIBH_

#ifdef WIN32
#define _WIN32_WINNT 0x0501
#ifndef _CRT_SECURE_NO_DEPRECATE
#define _CRT_SECURE_NO_DEPRECATE
#endif
#ifndef _CRT_NONSTDC_NO_DEPRECATE
#define _CRT_NONSTDC_NO_DEPRECATE
#endif
#endif

#define MAX_CFG_LEN 260

#include <stdlib.h>
#include <string>
#include <map>
#ifndef WIN32
#define __STDLIB

#include "win2linux.h"
#endif

typedef std::map<std::string, std::string> CFGARRAY;

class configlib
{
	public:
		configlib(char *filename);
		bool IsSet(char *key);
		char *GetCfgVar(char *key);
		char *SetCfgVar(char *key, char *value);
		char *SetIntVar(char *key, int value);
		void DeleteVar(char *key);
		void SaveConfig(CFGARRAY *ary, char *filename);
		int GetIntCfgVar(char *key);

	private:
		CFGARRAY cfg;
};

#endif
